You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-03-09 17:32:16

gg25
Guest
Registered: 2018-03-09
Posts: 2

Probleme Mise a Jour 9.1.7.1 vers 9.2.2

onjour,
Jusquà présent j'utilisais la version 9.1 de GLPI.
J'ai donc voulu effectuer la mise à jour avec la version 9.2.2, hors lors
du redémarrage ma pas d'accueil m'a affiché se message :

un "composer install --no-dev" in the glpi tree.
To install composer please refer to https://getcomposer.org/

Que dois-je faire, a part revenir sur l'ancienne version.
d'avance merci.

je précise que j'ai téléchargé la version 9.2.2 sur cette page : http://glpi-project.org/spip.php?article3, et que mon serveur est en PHP 7.1

Offline

#2 2018-03-09 17:47:36

Manutek
Guest
Registered: 2018-03-08
Posts: 4

Re: Probleme Mise a Jour 9.1.7.1 vers 9.2.2

Bonjour,

Il peut arriver des fois que les archives téléchargées soient incomplètes, c'est arrivé à plusieurs sur le forum.
Essai de re-télécharger le fichier .tar.gz depuis les serveurs et relance l'installation.

J'ai un dossier "composer" dans le dossier \vendor à la racine de l'installation GLPI.
J'en trouve également dans les plugins. As-tu désactivé les plugins avant de faire la mise à jour comme préconisé?

A+

Offline

#3 2018-03-09 18:10:56

gg25
Guest
Registered: 2018-03-09
Posts: 2

Re: Probleme Mise a Jour 9.1.7.1 vers 9.2.2

Merci pour la réponse rapide.
Pas de plugins installés, quand à la version téléchargé cela fais 4 fois que je recommence la manip mais rien n'y fait.
Je commence a fatigué et surtout a perdre patience.
J'ai vu sur la page Remi's RPM qu'ils parlent de la version 5.6 de PHP, mon site étant en 7.1, cela pourrait-il poser problème ?
A+

Offline

#4 2018-03-12 11:42:28

Manutek
Guest
Registered: 2018-03-08
Posts: 4

Re: Probleme Mise a Jour 9.1.7.1 vers 9.2.2

Je suis sous PHP 7.2.2 sur un serveur IIS et je n'ai pas eu de problème, j'ai effectué la mise à jour depuis la version 0.83.91.

Sur le forum, il y a plusieurs tickets qui indiquent que le problème venait d'une archive endommagée.
Je serais toi, j’essaierai une 5ième fois en : téléchargeant l'archive depuis un autre endroit (pour éviter antivirus de ton pare-feu et de ton poste), j’essaierai un autre logiciel pour décompresser l'archive (j'ai utilisé winrar) en ayant au préalable supprimé mes fichiers temporaires.

Il y a également plusieurs incidents qui ont été ouverts (et clos) sur le github https://github.com/glpi-project/glpi/se … =%E2%9C%93
Il est indiqué plusieurs fois de mettre à jour la version de composer, mais moi cela s'est installé avec PHP sous le serveur IIS, j'ai utilisé la version "VC15 x86 Non Thread Safe 7.2.2"
Quel OS serveur as-tu?
Sinon il va falloir ouvrir un incident sur github pour que le problème soit investigué...

Courage !

Offline

#5 2018-03-21 14:02:49

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 14,281

Re: Probleme Mise a Jour 9.1.7.1 vers 9.2.2

Il suffit simplement de faire ce qui est indiqué : taper "composer install --no-dev" en ligne de commande
Sans composer GLPI ne fonctionnera pas


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#6 2018-08-02 12:16:40

teleworm
Guest
Registered: 2018-08-02
Posts: 1

Re: Probleme Mise a Jour 9.1.7.1 vers 9.2.2

I'm running PHP 7.2.2 on an IIS server and I had no problem, I upgraded from version 0.83.91.

On the forum, there are several tickets that indicate that the problem came from a damaged archive.
I will be you, I will try a fifth time by: downloading the archive from another place (to avoid antivirus of your firewall and your post), I will try another software to decompress the archive (I used winrar) having previously deleted my temporary files. https://popcorntimeapk.org/

Offline

Board footer

Powered by FluxBB